<%@ Page Language="C#" MasterPageFile="~/Layout.master" AutoEventWireup="true" CodeFile="UserReport.aspx.cs" Inherits="userreport" StylesheetTheme="WIRM" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">

<script language="javascript">
					
    var _oldColor;
        
    function SetNewColor(source)
    {
        _oldColor = source.style.backgroundColor;
        source.style.backgroundColor = '#cccccc';
    }

    function SetOldColor(source)
    {
        source.style.backgroundColor = _oldColor;
    }

</script>


    <asp:Panel ID="pnlSearch" runat="server" DefaultButton="btnSearch">
        Search by Username:
        <asp:TextBox ID="tbUsername" runat="server"></asp:TextBox>
        <asp:Button ID="btnSearch" runat="server" CssClass="btnStyle" OnClick="btnSearch_Click"
            Text="Search" />&nbsp;<asp:Button ID="btnReset" runat="server" CssClass="btnStyle"
                OnClick="btnReset_Click" Text="Reset" /></asp:Panel>
    <asp:GridView ID="gvUsers" runat="server" DataSourceID="sqlUsers" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="False" PageSize="25" OnRowDataBound="gvUsers_RowDataBound" DataKeyNames="PK_USERID">
        <Columns>
            <asp:BoundField DataField="NETDOMAIN" HeaderText="Domain" SortExpression="NETDOMAIN" />
            <asp:BoundField DataField="USERNAME" HeaderText="User Name" SortExpression="USERNAME" />
            <asp:BoundField DataField="sessionstart" HeaderText="Last Login" SortExpression="sessionstart" />
        </Columns>
    </asp:GridView>
    <asp:SqlDataSource ID="sqlUsers" runat="server" ConnectionString="<%$ ConnectionStrings:rmsummarydbConnectionString %>" SelectCommand="SELECT MAX(DATEADD(hh, @utcOffset, SDB_SESSION.SESSIONSTART)) AS sessionstart, LU_USER.USERNAME, LU_USER.PK_USERID, LU_NETDOMAIN.NETDOMAIN FROM LU_USER INNER JOIN SDB_SESSION ON LU_USER.PK_USERID = SDB_SESSION.FK_USERID INNER JOIN LU_NETDOMAIN ON LU_USER.FK_NETDOMAINID = LU_NETDOMAIN.PK_NETDOMAINID WHERE (LU_USER.USERNAME LIKE ISNULL(@username, LU_USER.USERNAME)) GROUP BY LU_USER.USERNAME, LU_USER.PK_USERID, LU_NETDOMAIN.NETDOMAIN ORDER BY LU_USER.USERNAME" CancelSelectOnNullParameter="False">
        <SelectParameters>
            <asp:SessionParameter Name="utcOffset" SessionField="utcOffset" Type="Int32" />
            <asp:Parameter Name="username" />
        </SelectParameters>
    </asp:SqlDataSource>
</asp:Content>

