<%@ Page Language="C#" MasterPageFile="~/Layout.master" AutoEventWireup="true" CodeFile="applicationReport.aspx.cs" Inherits="applicationReport" Title="Web Interface for Resource Manager - Application Usage Report" StylesheetTheme="WIRM" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">

    <object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0" width="565" height="420" id="FC2Column" align="middle">
            <param name=movie value="Charts/<%= strChartType %>?dataXML=<%= getChartData()  %>">
            <param name=quality value=high>
            <param name=bgcolor value=#FFFFFF>
            <embed src="Charts/FC2Pie3D.swf?dataXML=<%= getChartData()  %>" quality=high bgcolor=#FFFFFF  width="565" height="420" name="FC2Column" align="middle" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer">
            </embed> 
    </object>
    
    <div style="width: 100%; text-align: right; padding-bottom: 5px">
        <asp:Button ID="btnPieChart" runat="server" Text="Pie Chart" OnClick="btnPieChart_Click" CssClass="btnChartType" />
        <asp:Button ID="btnColumnChart" runat="server" Text="Column Chart" OnClick="btnColumnChart_Click" CssClass="btnChartType" />
    </div>
    
    
    <asp:GridView ID="gvApplications" runat="server" AllowPaging="True" AllowSorting="True"
        AutoGenerateColumns="False" DataSourceID="sqlApplications" PageSize="25">
        <Columns>
            <asp:BoundField DataField="APPNAME" HeaderText="Application" SortExpression="APPNAME" />
            <asp:BoundField DataField="APP_FREQ" HeaderText="Frequency" ReadOnly="True" SortExpression="APP_FREQ" />
        </Columns>
    </asp:GridView>
    <asp:SqlDataSource ID="sqlApplications" runat="server" ConnectionString="<%$ ConnectionStrings:rmsummarydbConnectionString %>"
        SelectCommand="SELECT DISTINCT LU_APPNAME.APPNAME, COUNT(SDB_SESSION.PK_SDB_SESSIONID) AS APP_FREQ FROM LU_APPNAME INNER JOIN SDB_SESSION ON LU_APPNAME.PK_APPNAMEID = SDB_SESSION.FK_APPNAMEID WHERE (LU_APPNAME.APPNAME <> '') GROUP BY LU_APPNAME.APPNAME ORDER BY APP_FREQ DESC">
    </asp:SqlDataSource>
</asp:Content>

