﻿<%@ Page Language="C#" MasterPageFile="~/Layout.master" AutoEventWireup="true" CodeFile="hourDetail.aspx.cs" Inherits="hourDetail" StylesheetTheme="WIRM" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">

<script language="javascript">
					
    var _oldColor;
        
    function SetNewColor(source)
    {
        _oldColor = source.style.backgroundColor;
        source.style.backgroundColor = '#cccccc';
    }

    function SetOldColor(source)
    {
        source.style.backgroundColor = _oldColor;
    }

</script>

    <asp:GridView ID="gvHourDetail" runat="server" DataSourceID="sqlHourDetail" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="False" OnRowDataBound="gvHourDetail_RowDataBound" DataKeyNames="PK_SDB_SESSIONID" PageSize="20">
        <Columns>
            <asp:BoundField DataField="USERNAME" HeaderText="Username" SortExpression="USERNAME" />
            <asp:BoundField DataField="SESSIONSTART" HeaderText="Session Start" SortExpression="SESSIONSTART" DataFormatString="{0:t}" HtmlEncode="False" />
            <asp:BoundField DataField="SESSIONEND" HeaderText="Session End" SortExpression="SESSIONEND" DataFormatString="{0:t}" HtmlEncode="False" />
            <asp:BoundField DataField="APPNAME" HeaderText="Application" SortExpression="APPNAME" />
        </Columns>
    </asp:GridView>
        <asp:SqlDataSource ID="sqlHourDetail" runat="server" ConnectionString="<%$ ConnectionStrings:rmsummarydbConnectionString %>" SelectCommand="SELECT LU_USER.USERNAME, DATEADD(hh, @utcOffset, SDB_SESSION.SESSIONSTART) AS SESSIONSTART, DATEADD(hh, @utcOffset, SDB_SESSION.SESSIONEND) AS SESSIONEND, LU_APPNAME.APPNAME, SDB_SESSION.PK_SDB_SESSIONID FROM LU_USER INNER JOIN SDB_SESSION ON LU_USER.PK_USERID = SDB_SESSION.FK_USERID INNER JOIN LU_APPNAME ON SDB_SESSION.FK_APPNAMEID = LU_APPNAME.PK_APPNAMEID WHERE (SDB_SESSION.SESSIONSTART BETWEEN DATEADD(hh, @utcOffset2, @sessionStart) AND DATEADD(hh, @utcOffset2, @sessionEnd)) AND (LU_APPNAME.PK_APPNAMEID = ISNULL(@appID, LU_APPNAME.PK_APPNAMEID))" CancelSelectOnNullParameter="False">
            <SelectParameters>
                <asp:Parameter Name="utcOffset" Type="Int32" />
                <asp:Parameter Name="utcOffset2" Type="Int32" />
                <asp:Parameter Name="sessionStart" Type="DateTime" />
                <asp:Parameter Name="sessionEnd" Type="DateTime" />
                <asp:Parameter Name="appID" />
            </SelectParameters>
        </asp:SqlDataSource>

</asp:Content>